> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list of order returns with details and optional personalizations



## OpenAPI

````yaml /openapi.json get /api/v1/Shipments/Returns
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Shipments/Returns:
    get:
      tags:
        - Shipments
      summary: Gets a list of order returns with details and optional personalizations
      parameters:
        - name: accountNumber
          in: query
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          required: true
          schema:
            minLength: 2
            type: string
        - name: warehouseCode
          in: query
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          schema:
            type: string
        - name: searchStartDate
          in: query
          description: "The beginning date of the search range (SubmittedDate)\r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
        - name: searchEndDate
          in: query
          description: "The ending date of the search range. (SubmittedDate)\r\n            \r\n    YYYY-MM-DD"
          required: true
          schema:
            type: string
            format: date-time
        - name: returnReasonCode
          in: query
          description: "The reason for the return (Code)\r\n            \r\n    See https://fulfillment.winedirect.com/administration/api-help"
          schema:
            type: string
        - name: processingStatusCode
          in: query
          description: "The status of the return (Code)\r\n            \r\n    IN_PROCESS\r\n    NEW\r\n    RESOLVED"
          schema:
            type: string
        - name: orderNumber
          in: query
          description: The order number of this item
          schema:
            type: string
        - name: trackingNumber
          in: query
          description: Carrier tracking Number
          schema:
            type: string
      responses:
        '200':
          description: A list of returns
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailedReturnListServiceResult'
components:
  schemas:
    DetailedReturnListServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/DetailedReturn'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    DetailedReturn:
      type: object
      properties:
        shipReturnId:
          type: integer
          description: The ID of this shipment return
          format: int32
        shipmentKey:
          type: integer
          description: The Key of this shipment return
          format: int32
        customerName:
          type: string
          description: Name of the customer
          nullable: true
        wineDirectOrderNumber:
          type: string
          description: The order number in WineDirect's system
          nullable: true
        orderNumber:
          type: string
          description: The customer's order number
          nullable: true
        orderTypeCode:
          type: string
          description: "The Type of Order (code)\r\n            \r\n    \"CLUB\" - Club Order\r\n    \"STND\" - Daily Order\r\n    \"SPCL\" - Special Order\r\n    \"VC\"   - Visitor Center\r\n    \"DAILY\" - Daily Order\r\n    \"SPECIAL\" - Special Order\r\n    \"CORP\" - Corp Order"
          nullable: true
        orderTypeName:
          type: string
          description: Order Type (Name)
          nullable: true
        shipFromWarehouseCode:
          type: string
          description: Warehouse
          nullable: true
        consumerFirstName:
          type: string
          description: Consumer
          nullable: true
        consumerLastName:
          type: string
          description: Consumer
          nullable: true
        consumerAddress1:
          type: string
          description: Consumer
          nullable: true
        consumerAddress2:
          type: string
          description: Consumer
          nullable: true
        consumerCity:
          type: string
          description: Consumer
          nullable: true
        consumerState:
          type: string
          description: Consumer
          nullable: true
        consumerZipCode:
          type: string
          description: Consumer
          nullable: true
        notificationEmailAddress:
          type: string
          description: Email
          nullable: true
        notificationPhoneNumber:
          type: string
          description: Phone
          nullable: true
        wmsCarrierCode:
          type: string
          nullable: true
        carrierCode:
          type: string
          description: Carrier
          nullable: true
        trackingNumber:
          type: string
          description: Carrier Tracking Number
          nullable: true
        trackingNumberUrl:
          type: string
          description: The URL, if exists, for the carrier's tracking number details
          nullable: true
          readOnly: true
        trackingStatusUrl:
          type: string
          description: A link to the carrier's web site
          nullable: true
        shipDate:
          type: string
          description: When shipped
          format: date-time
          nullable: true
        returnDate:
          type: string
          description: When returned
          format: date-time
          nullable: true
        returnReasonCode:
          type: string
          description: Reason Reason (NaCodeme)
          nullable: true
        returnReasonName:
          type: string
          description: Reason Reason (Name)
          nullable: true
        processingStatusCode:
          type: string
          description: Status (Code)
          nullable: true
        processingStatusName:
          type: string
          description: Status (Name)
          nullable: true
        resolutionCode:
          type: string
          description: Resolution (Code)
          nullable: true
        resolutionName:
          type: string
          description: Resolution (Name)
          nullable: true
        hasPersonalizations:
          type: boolean
          description: Are there personalizations on this order
        vasOrderPersonalizations:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalization'
          description: Value added service personalizations
          nullable: true
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/DetailedReturnLineItem'
          description: The SKUs in this return
          nullable: true
      additionalProperties: false
    VasOrderPersonalization:
      required:
        - type
      type: object
      properties:
        lineNumber:
          type: integer
          description: >-
            The line number of the SKU this personalization is assigned to. Not
            required for order header
          format: int32
          nullable: true
        type:
          maxLength: 80
          minLength: 1
          type: string
        message:
          maxLength: 2000
          type: string
          description: Messaging about the set of value added services
          nullable: true
        options:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalizationOption'
          description: A collection of specific value added services
          nullable: true
      additionalProperties: false
      description: A set of value added services
    DetailedReturnLineItem:
      type: object
      properties:
        shipReturnId:
          type: integer
          description: The ID of this shipment return
          format: int32
        shipmentKey:
          type: integer
          description: The Key of this shipment return
          format: int32
        lineNumber:
          type: integer
          description: Line Number
          format: int32
        componentNumber:
          type: integer
          description: The  Component Number
          format: int32
          nullable: true
        sku:
          type: string
          description: The Sku of the customer
          nullable: true
        skuDescription:
          type: string
          description: Description
          nullable: true
        wineDirectSku:
          type: string
          description: The WineDirect Sku
          nullable: true
        quantityOrdered:
          type: integer
          description: Ordered
          format: int32
        quantityShipped:
          type: integer
          description: Shipped
          format: int32
        quantityReturned:
          type: integer
          description: Returned
          format: int32
        quantityDamaged:
          type: integer
          description: Damaged
          format: int32
        quantityMissing:
          type: integer
          description: Missing
          format: int32
        vasOrderPersonalizations:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalization'
          description: Value added service personalizations
          nullable: true
      additionalProperties: false
    VasOrderPersonalizationOption:
      required:
        - type
      type: object
      properties:
        type:
          maxLength: 80
          minLength: 1
          type: string
          description: The type of the value added service. Eg a ribbon
        option:
          maxLength: 80
          type: string
          description: An option applied to the type. eg the color of the type's ribbon.
          nullable: true
        message:
          maxLength: 2000
          type: string
          description: Messaging about the value added service
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````